MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025039Open CASCADE[OCCT] OCCT:Meshpublic2014-06-30 12:152014-11-11 12:57
Reporteroan 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025039: Improvement of code structure of general and supporting tools implemented in BRepMesh
DescriptionCurrent state of BRepMesh makes difficult to understand the processes occurring in the module during debug campaigns. It is also difficult to implement new features due to multiple code duplications, dirty and unclear places.

In context of current issue it is supposed to make the following changes:
- eliminate *.cdl declarations of classes from BRepMesh at all;
- replace standard and generic collections by NCollections to prevent producing redundant *.cxx files containing specializations of generic collections;
- provide necessary comments explaining the meaning of methods;
- remove obvious code duplications;
- provide code granularity the most suitable for developers to understand and debug the guts of BRepMesh;
- simplify source code where it is possible.

It is supposed improve common classes used in BRepMesh, except the following ones:
BRepMesh_IncrementalMesh;
BRepMesh_FastDiscret;
BRepMesh_FastDiscretFace;
BRepMesh_FaceAttribute;
BRepMesh_Classifier;

These files are expected to be refactored in context of particular issue after resolving of 0023106 and #24968 that intend significant changes in source code of that classes.
Additional information
and documentation updates
The following changes have been made in context of current issue:
BRepMesh:
- CDL declarations as well as LXX parts of classes are replaced by usual header files;
- in most parts, data containers have been replaced by their equivalents from NCollection; common data types are declared in BRepMesh_Collections.hxx, within BRepMeshCol namespace;
- Redundant class BRepMesh with static method Mesh has been removed;
- Refactoring and code style of general classes;
- BRepMesh_CircleTool: the most suitable, from the point of human readability, approach is implemented to calculate circumcircle of a triangle;
- Static method BRepMesh_GeomTool::IntLinLin has been added to eliminate code duplications in BRepMesh_Dealun and BRepMesh_CircleTool;
- Function BRepMesh_Write storing BRepMesh_DataStructureOfDelaun to BRep file is introduced for debug needs;
- Method BRepMesh_DataStructureOfDelaun::ElementNodes is introduced to retrieve ordered nodes forming the given triangle.


Changed API in BRepMesh package:
- BRepMesh_FastDiscret: BoxMaxDimension and RelativeEdgeDeflection are moved to BRepMesh_ShapeTool; order of parameters is changed (Shape and Deflection are swapped for consistency reason);
- BRepMesh_FastDiscretFace: FindUV is moved to BRepMesh_ShapeTool;
- BRepMesh_Circ is renamed to BRepMesh_Circle;
- BRepMesh_CircleTool: some methods are renamed for consistency reason;
- BRepMesh_DataStructureOfDelaun: some methods are renamed for consistency reason;
- BRepMesh_Delaun: the common part of IntSegSeg is moved to BRepMesh_GeomTool as a static method;
- BRepMesh_ShapeTool: redundant code for iteration amongst faces of shape/edges of face/vertices of edge is removed due to the lack of necessity of its using instead of usual TopExp_Explorer tool;

Changed API in StdPrs package:
StdPrs_ToolShadedShape: removed dependency from BRepMesh_ShapeTool. Code blocks using StdPrs_ToolShadedShape for iteration amongst faces/edges/vertices are to be replaced by TopExp_Explorer with corresponding parameters; Method BRepMesh_ShapeTool::Orientation should be replaced by code querying Orientation() parameter directly from TopoDS shape.
StdPrs_ToolShadedShape provides only three static methods IsClosed, Triangulation and Normal.

Necessary changes are made in OCCT packages according to the changed API of BRepMesh_IncrementalMesh (packages DBRep, Voxel, MeshTest, StdPrs, StdSelect, StlTransfer, VrmlConverter, VrmlData, XSDRAWSTL).

TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0025088closedbugmaster Open CASCADE Revert or change API of BRepMesh_IncrementalMesh to prevent possible errors occurred due to changed order of parameters 

-  Notes
(0029953)
oan (developer)
2014-07-03 14:18

Dear PDN,

branch CR25039_1 is ready to be reviewed.
(0029985)
mkv (tester)
2014-07-07 13:57

Dear BugMaster,

Branch CR25039_1 from occt git-repository (and master from products git-repository) was compiled on Linux platform.

There is extraction errors in products part:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25039_1/job/mnt-CR25039_1-master_prepare_occt_products_linux/1/parsed_console/ [^]
Info : Complete : /misc/dn61/LocalWOK/wok_entities/LOC/dev/CR25039-1-master-products/src/QMesh/QMesh_Discret.cdl
Error : "/misc/dn61/LocalWOK/wok_entities/LOC/dev/CR25039-1-master-products/src/QMesh/QMesh_Discret.cdl", line 26: Class : BRepMesh_DiscretRoot must not be a normal class.
Error : Errors occured
Error : Errors occured while executing QMesh_Discret
(0029986)
oan (developer)
2014-07-07 15:02

Dear MKV,

necessary changes have been pushed to branch CR25039_1 in products repository.
(0029993)
mkv (tester)
2014-07-08 09:20

Dear BugMaster,

Branch CR25039_1 from occt git-repository and branch CR25039_1 from products git-repository are compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3807ea3391a2856db5b5ceebc82764a05aa03d61
SHA-1: cc895617188dc8f62ec322369628b7944faea621

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 200 (199 on master)

New additional warning compilation on MacOS platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR25039_1-master_prepare_build_occt_MacOS/1/warnings6Result/package.-929867037/ [^]
BRepMesh_Delaun.cxx:43, Clang (LLVM based), Priority: Normal
unused variable 'EndPrecision'

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:

http://occt-tests/CR25039-1-CR25039-1-occt/Debian60-64/summary.html [^]
http://occt-tests/CR25039-1-CR25039-1-occt/Windows-32-VC9/summary.html [^]
Improvements:
mesh standard_shading(001) V4

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25039_1/job/mnt-CR25039_1-master_products_tests_linux_start/ [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25039_1/job/mnt-CR25039_1-master_products_tests_windows_start/ [^]
Failed:
omf standard_meshcommon(009) V0, ZN4
Improvements:
omf advanced_meshcommon(005) E6, E7, E8, E9, F0, F1
omf advanced_meshcut(006) D0, D2, H1, Q5
omf advanced_meshtuc(008) A0, A2, C2, C9

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 350221032 / 349933600
Total CPU difference: 54619.65000000011 / 52499.840000000084

Testing on Windows:
Total MEMORY difference: 378031848 / 377447700
Total CPU difference: 42217.796875 / 39669.640625

There are no differences in images found by testdiff.
http://occt-tests/CR25039-1-CR25039-1-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25039-1-CR25039-1-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs step bug5708: bug5708_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug223: bug223_Driver1_Viewer1_View1.png differs
(0029997)
oan (developer)
2014-07-08 12:17

Dear MKV,
changes to squeeze compilation warning have been pushed to the branch.

Concerning test results, OMF tests are tightly connected with mesh produced by BRepMesh. As far as, some parts of BRepMesh were been replaced by much suitable code, resulting mesh is changed. Failed test cases have the same weather like the ones that are treated as improvements now. So, I suppose that 14 correct / 2 failed is much better than otherwise.

I propose to update test cases mentioned above and integrate the fix.
(0030006)
oan (developer)
2014-07-08 15:41

Dear MKV,

I have rebased branch on parent one CR24968_2.

Could you please run test campaign for accumulated changes using branch CR25039_2.
(0030040)
mkv (tester)
2014-07-09 17:43

Dear BugMaster,

Branch CR25039_2 from occt git-repository and CR25039_1 from products git-repository are compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5a793d59467c7393266f5fec6aec2a371ebd09bf
SHA-1: 5a793d59467c7393266f5fec6aec2a371ebd09bf

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:

http://occt-tests/CR25039-2-CR25039-1-occt/Debian60-64/summary.html [^]
http://occt-tests/CR25039-2-CR25039-1-occt/Windows-32-VC9/summary.html [^]
Improvements:
mesh standard_shading(001) V4

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25039_2/job/mnt-CR25039_2-CR25039_1_products_tests_linux_start/ [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25039_2/job/mnt-CR25039_2-CR25039_1_products_tests_windows_start/ [^]
Failed:
omf standard_meshcommon(009) V0, ZN4
Improvements:
omf advanced_meshcommon(005) E6, E7, E8, E9, F0, F1
omf advanced_meshcut(006) D0, D2, H1, Q5
omf advanced_meshtuc(008) A0, A2, C2, C9

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 350013400 / 349770812
Total CPU difference: 53771.59000000013 / 52452.060000000085

Testing on Windows:
Total MEMORY difference: 377915832 / 377290572
Total CPU difference: 40946.78125 / 39629.703125

There are following differences in images found by testdiff:
http://occt-tests/CR25039-2-CR25039-1-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25039-2-CR25039-1-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs step bug5708: bug5708_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug223: bug223_Driver1_Viewer1_View1.png differs
IMAGE bugs moddata_2 bug428: bug428_Driver1_Viewer1_View1.png differs
IMAGE bugs moddata_2 bug42: bug428_Driver1_Viewer1_View1.png differs
IMAGE bugs moddata_2 bug4: bug428_Driver1_Viewer1_View1.png differs
(0030041)
mkv (tester)
2014-07-09 17:48

Dear BugMaster,

Following test cases are corrected and pushed to occt git repository in branch CR25039_2 and products git repository in branch CR25039_1
mesh standard_shading(001) V4
omf standard_meshcommon(009) V0, ZN4
omf advanced_meshcommon(005) E6, E7, E8, E9, F0, F1
omf advanced_meshcut(006) D0, D2, H1, Q5
omf advanced_meshtuc(008) A0, A2, C2, C9
(0030042)
mkv (tester)
2014-07-09 17:50

Dear oan,
could you please validate new images in test cases.
(0030044)
oan (developer)
2014-07-10 09:08

Accepted
(0030126)
abv (manager)
2014-07-14 15:08

Oleg, please document changes you have made in StdPrs package, and other places, that need to be taken in porting to this version
(0030177)
abv (manager)
2014-07-16 08:34

Oleg, please revert this change (create separate issue), as it leads to breakage of existing code which is quite difficult to diagnose:

> - (IMPORTANT!!!)BRepMesh_IncrementalMesh: order of parameters is changed (AngularDeflection and Relative flag are swapped for consistency reason);

Method StdPrs_ToolShadedShape::Triangulation() is trivial, why not removing it with others?
(0030262)
git (administrator)
2014-07-21 10:58

Branch CR25039_2 has been updated by azn.

SHA-1: 2729b20ae3d6f77907e42aacdc3c0c322277e53f
(0030270)
git (administrator)
2014-07-21 16:50

Branch CR25039_2 has been updated by azn.

SHA-1: e34fe9ea69542372a84f01b6215f46dc3f865958
(0030286)
git (administrator)
2014-07-22 14:30

Branch CR25039_2 has been updated by azn.

SHA-1: 8af85d57e353130e1547138d2e6cf1338eaa4dd9
(0030287)
git (administrator)
2014-07-22 14:36

Branch CR25039_2 has been updated by azn.

SHA-1: 7f14bff5cfd1dc87f6fc74088cdd57d683bdebd2
(0030297)
git (administrator)
2014-07-22 15:51

Branch CR25039_1 has been deleted by inv.

SHA-1: 7abd0210bddf450aa3367e513ecf620f5bcb2e90
(0030298)
git (administrator)
2014-07-22 15:51

Branch CR25039_2 has been deleted by inv.

SHA-1: 7f14bff5cfd1dc87f6fc74088cdd57d683bdebd2
(0030522)
git (administrator)
2014-08-01 15:21

Branch CR25039_2 has been created by azn.

SHA-1: 383df16c26e15206493404c12021a9696a9769dd
(0030822)
git (administrator)
2014-08-18 11:07

Branch CR25039_2 has been deleted by inv.

SHA-1: 383df16c26e15206493404c12021a9696a9769dd

- Related Changesets
occt: master fc9b36d6
Timestamp: 2014-07-10 10:51:15
Author: oan
Committer: apn
Details ] Diff ]
0025039: Improvement of code structure of general and supporting tools implemented in BRepMesh

Removed CDL declarations; Data collections are replaced by NCollections; Small code refactoring.
Remove definition of BRepMesh class. Code refactoring of BRepMesh_IncrementalMesh.
Function BRepMesh_Write storing BRepMesh_DataStructureOfDelaun to BRep file is added for debug needs.
Static method BRepMesh_GeomTool::IntLinLin has been added to eliminate code duplications in BRepMesh_Dealun and BRepMesh_CircleTool.
BRepMesh_CircleTool simplified method to find circumcircle.

Fix merging conflicts
Remove redundant function
Fix compilation warning on MacOS
Revert changes occurred during rebase
Resolved merging conflicts
Use parallel flag with BRepMesh_FastDiscret

Test cases for issue CR25039_2
mod - dox/dev_guides/debug/debug.md Diff ] File ]
mod - src/BRepMesh/BRepMesh.cdl Diff ] File ]
rm - src/BRepMesh/BRepMesh.cxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_CellFilter.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Circ.cdl Diff ] File ]
rm - src/BRepMesh/BRepMesh_Circ.cxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Circ.lxx Diff ] File ]
add - src/BRepMesh/BRepMesh_Circle.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleInspector.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_CircleTool.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleTool.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_CircleTool.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_Collections.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_ComparatorOfIndexedVertexOfDelaun.cdl Diff ] File ]
rm - src/BRepMesh/BRepMesh_ComparatorOfIndexedVertexOfDelaun.cxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_ComparatorOfVertexOfDelaun.cdl Diff ] File ]
rm - src/BRepMesh/BRepMesh_ComparatorOfVertexOfDelaun.cxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_DataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_DiscretFactory.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretFactory.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_DiscretFactory.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_DiscretRoot.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretRoot.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_DiscretRoot.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Edge.cdl Diff ] File ]
rm - src/BRepMesh/BRepMesh_Edge.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_Edge.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Edge.lxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_FaceAttribute.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceAttribute.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_FaceAttribute.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_FaceAttribute.lxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceChecker.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_FastDiscret.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscret.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_FastDiscret.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_FastDiscret.lxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_FastDiscretFace.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_FastDiscretFace.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_GeomTool.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_GeomTool.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_GeomTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_ListOfInteger.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_MapOfInteger.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_MapOfIntegerInteger.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PairOfIndex.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_PairOfPolygon.cdl Diff ] File ]
rm - src/BRepMesh/BRepMesh_PairOfPolygon.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_PairOfPolygon.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_PairOfPolygon.lxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PluginEntryType.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PluginMacro.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_SelectorOfDataStructureOfDelaun.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_SelectorOfDataStructureOfDelaun.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_SelectorOfDataStructureOfDelaun.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_ShapeTool.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeTool.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_ShapeTool.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_ShapeTool.lxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Triangle.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Triangle.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_VectorOfVertex.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Vertex.cdl Diff ] File ]
rm - src/BRepMesh/BRepMesh_Vertex.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_Vertex.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Vertex.lxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_VertexCellFilter.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_VertexInspector.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_VertexTool.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cxx Diff ] File ]
add - src/BRepMesh/BRepMesh_VertexTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireChecker.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireInterferenceChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireInterferenceChecker.hxx Diff ] File ]
mod - src/BRepMesh/FILES Diff ] File ]
mod - src/DBRep/DBRep_DrawableShape.cxx Diff ] File ]
mod - src/MeshTest/FILES Diff ] File ]
mod - src/MeshTest/MeshTest.cdl Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
rm - src/MeshTest/MeshTest_DrawableMesh.cdl Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.cxx Diff ] File ]
add - src/MeshTest/MeshTest_DrawableMesh.hxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/StdPrs/FILES Diff ] File ]
mod - src/StdPrs/StdPrs.cdl Diff ] File ]
mod - src/StdPrs/StdPrs_HLRPolyShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
rm - src/StdPrs/StdPrs_ToolShadedShape.cdl Diff ] File ]
mod - src/StdPrs/StdPrs_ToolShadedShape.cxx Diff ] File ]
add - src/StdPrs/StdPrs_ToolShadedShape.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
mod - src/StlTransfer/StlTransfer.cxx Diff ] File ]
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_ShadedShape.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML_ToVRML.cxx Diff ] File ]
mod - tests/mesh/data/standard/V4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-30 12:15 oan New Issue
2014-06-30 12:15 oan Assigned To => oan
2014-06-30 12:17 oan Description Updated View Revisions
2014-06-30 12:39 oan Status new => assigned
2014-07-03 14:18 oan Note Added: 0029953
2014-07-03 14:18 oan Assigned To oan => pdn
2014-07-03 14:18 oan Status assigned => resolved
2014-07-07 11:11 kgv Severity minor => integration request
2014-07-07 11:11 kgv Target Version => 6.8.0
2014-07-07 12:18 pdn Status resolved => reviewed
2014-07-07 13:07 mkv Assigned To pdn => mkv
2014-07-07 13:57 mkv Note Added: 0029985
2014-07-07 13:58 mkv Test case number => Not needed
2014-07-07 13:58 mkv Assigned To mkv => oan
2014-07-07 13:58 mkv Status reviewed => assigned
2014-07-07 15:02 oan Note Added: 0029986
2014-07-07 15:03 oan Assigned To oan => mkv
2014-07-07 15:03 oan Status assigned => resolved
2014-07-07 15:03 oan Status resolved => reviewed
2014-07-08 09:20 mkv Note Added: 0029993
2014-07-08 09:21 mkv Assigned To mkv => oan
2014-07-08 09:21 mkv Status reviewed => assigned
2014-07-08 12:17 oan Note Added: 0029997
2014-07-08 12:18 oan Assigned To oan => mkv
2014-07-08 12:18 oan Status assigned => feedback
2014-07-08 12:23 oan Relationship added child of 0024968
2014-07-08 15:41 oan Note Added: 0030006
2014-07-08 15:54 mkv Status feedback => reviewed
2014-07-09 17:43 mkv Note Added: 0030040
2014-07-09 17:48 mkv Note Added: 0030041
2014-07-09 17:50 mkv Note Added: 0030042
2014-07-09 17:50 mkv Assigned To mkv => oan
2014-07-09 17:50 mkv Status reviewed => feedback
2014-07-10 09:08 oan Note Added: 0030044
2014-07-10 09:08 oan Assigned To oan => mkv
2014-07-10 11:36 mkv Assigned To mkv => bugmaster
2014-07-10 11:36 mkv Status feedback => tested
2014-07-11 14:22 apn Changeset attached => occt master fc9b36d6
2014-07-11 14:22 apn Assigned To bugmaster => apn
2014-07-11 14:22 apn Status tested => verified
2014-07-11 14:22 apn Resolution open => fixed
2014-07-14 15:08 abv Note Added: 0030126
2014-07-14 16:37 oan Additional Information Updated View Revisions
2014-07-14 16:39 oan Additional Information Updated View Revisions
2014-07-15 14:05 oan Additional Information Updated View Revisions
2014-07-16 08:34 abv Note Added: 0030177
2014-07-16 11:37 oan Relationship added parent of 0025088
2014-07-16 14:02 kgv Relationship added related to 0025089
2014-07-21 10:58 git Note Added: 0030262
2014-07-21 16:50 git Note Added: 0030270
2014-07-22 14:30 git Note Added: 0030286
2014-07-22 14:36 git Note Added: 0030287
2014-07-22 15:51 git Note Added: 0030297
2014-07-22 15:51 git Note Added: 0030298
2014-08-01 15:21 git Note Added: 0030522
2014-08-15 15:51 oan Additional Information Updated View Revisions
2014-08-18 11:07 git Note Added: 0030822
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:57 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker